// CHECKSTYLE:OFF

package hudson.os.windows;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code ManagedWindowsServiceLauncher.UnknownHost}: {@code {0} The
     * host name {1} cannot be resolved. Please check that the host name is
     * correct.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} The host name {1} cannot be resolved. Please check that the
     *     host name is correct.}
     */
    public static String ManagedWindowsServiceLauncher_UnknownHost(Object arg0, Object arg1) {
        return holder.format("ManagedWindowsServiceLauncher.UnknownHost", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.UnknownHost}: {@code {0} The
     * host name {1} cannot be resolved. Please check that the host name is
     * correct.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} The host name {1} cannot be resolved. Please check that the
     *     host name is correct.}
     */
    public static Localizable _ManagedWindowsServiceLauncher_UnknownHost(Object arg0, Object arg1) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.UnknownHost", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.DotNetRequired}: {@code {0}
     * [windows-agents] .NET Framework 2.0 or later is required on this
     * computer to run a Jenkins agent as a Windows service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] .NET Framework 2.0 or later is required on
     *     this computer to run a Jenkins agent as a Windows service}
     */
    public static String ManagedWindowsServiceLauncher_DotNetRequired(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.DotNetRequired", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.DotNetRequired}: {@code {0}
     * [windows-agents] .NET Framework 2.0 or later is required on this
     * computer to run a Jenkins agent as a Windows service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] .NET Framework 2.0 or later is required on
     *     this computer to run a Jenkins agent as a Windows service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_DotNetRequired(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.DotNetRequired", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.AnotherUser.DisplayName}:
     * {@code Log on using a different account}.
     * 
     * @return
     *     {@code Log on using a different account}
     */
    public static String ManagedWindowsServiceAccount_AnotherUser_DisplayName() {
        return holder.format("ManagedWindowsServiceAccount.AnotherUser.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.AnotherUser.DisplayName}:
     * {@code Log on using a different account}.
     * 
     * @return
     *     {@code Log on using a different account}
     */
    public static Localizable _ManagedWindowsServiceAccount_AnotherUser_DisplayName() {
        return new Localizable(holder, "ManagedWindowsServiceAccount.AnotherUser.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.WaitingForService}: {@code
     * {0} [windows-agents] Waiting for the service to become ready}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Waiting for the service to become ready}
     */
    public static String ManagedWindowsServiceLauncher_WaitingForService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.WaitingForService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.WaitingForService}: {@code
     * {0} [windows-agents] Waiting for the service to become ready}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Waiting for the service to become ready}
     */
    public static Localizable _ManagedWindowsServiceLauncher_WaitingForService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.WaitingForService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.AccessDenied}: {@code {0}
     * [windows-agents] Access is denied. See
     * https://github.com/jenkinsci/windows-slaves-plugin/blob/master/docs/troubleshooting.adoc
     * for more information about how to resolve this.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Access is denied. See
     *     https://github.com/jenkinsci/windows-slaves-plugin/blob/master/docs/troubleshooting.adoc
     *     for more information about how to resolve this.}
     */
    public static String ManagedWindowsServiceLauncher_AccessDenied(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.AccessDenied", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.AccessDenied}: {@code {0}
     * [windows-agents] Access is denied. See
     * https://github.com/jenkinsci/windows-slaves-plugin/blob/master/docs/troubleshooting.adoc
     * for more information about how to resolve this.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Access is denied. See
     *     https://github.com/jenkinsci/windows-slaves-plugin/blob/master/docs/troubleshooting.adoc
     *     for more information about how to resolve this.}
     */
    public static Localizable _ManagedWindowsServiceLauncher_AccessDenied(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.AccessDenied", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentXml}: {@code {0}
     * [windows-agents] Copying jenkins-agent.xml}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying jenkins-agent.xml}
     */
    public static String ManagedWindowsServiceLauncher_CopyingAgentXml(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.CopyingAgentXml", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentXml}: {@code {0}
     * [windows-agents] Copying jenkins-agent.xml}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying jenkins-agent.xml}
     */
    public static Localizable _ManagedWindowsServiceLauncher_CopyingAgentXml(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.CopyingAgentXml", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ServiceDidntRespond}: {@code
     * {0} [windows-agents] The service did not respond. Perhaps it failed to
     * launch?}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] The service did not respond. Perhaps it
     *     failed to launch?}
     */
    public static String ManagedWindowsServiceLauncher_ServiceDidntRespond(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.ServiceDidntRespond", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ServiceDidntRespond}: {@code
     * {0} [windows-agents] The service did not respond. Perhaps it failed to
     * launch?}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] The service did not respond. Perhaps it
     *     failed to launch?}
     */
    public static Localizable _ManagedWindowsServiceLauncher_ServiceDidntRespond(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.ServiceDidntRespond", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentJar}: {@code {0}
     * [windows-agents] Copying agent.jar}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying agent.jar}
     */
    public static String ManagedWindowsServiceLauncher_CopyingAgentJar(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.CopyingAgentJar", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentJar}: {@code {0}
     * [windows-agents] Copying agent.jar}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying agent.jar}
     */
    public static Localizable _ManagedWindowsServiceLauncher_CopyingAgentJar(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.CopyingAgentJar", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.StoppingService}: {@code {0}
     * [windows-agents] Stopping the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Stopping the service}
     */
    public static String ManagedWindowsServiceLauncher_StoppingService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.StoppingService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.StoppingService}: {@code {0}
     * [windows-agents] Stopping the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Stopping the service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_StoppingService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.StoppingService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.Administrator.DisplayName}:
     * {@code Use Administrator account given above}.
     * 
     * @return
     *     {@code Use Administrator account given above}
     */
    public static String ManagedWindowsServiceAccount_Administrator_DisplayName() {
        return holder.format("ManagedWindowsServiceAccount.Administrator.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.Administrator.DisplayName}:
     * {@code Use Administrator account given above}.
     * 
     * @return
     *     {@code Use Administrator account given above}
     */
    public static Localizable _ManagedWindowsServiceAccount_Administrator_DisplayName() {
        return new Localizable(holder, "ManagedWindowsServiceAccount.Administrator.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.StartingService}: {@code {0}
     * [windows-agents] Starting the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Starting the service}
     */
    public static String ManagedWindowsServiceLauncher_StartingService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.StartingService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.StartingService}: {@code {0}
     * [windows-agents] Starting the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Starting the service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_StartingService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.StartingService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.InstallingAgentService}:
     * {@code {0} [windows-agents] Installing the Jenkins agent service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Installing the Jenkins agent service}
     */
    public static String ManagedWindowsServiceLauncher_InstallingAgentService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.InstallingAgentService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.InstallingAgentService}:
     * {@code {0} [windows-agents] Installing the Jenkins agent service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Installing the Jenkins agent service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_InstallingAgentService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.InstallingAgentService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.RegisteringService}: {@code
     * {0} [windows-agents] Registering the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Registering the service}
     */
    public static String ManagedWindowsServiceLauncher_RegisteringService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.RegisteringService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.RegisteringService}: {@code
     * {0} [windows-agents] Registering the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Registering the service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_RegisteringService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.RegisteringService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ConnectingTo}: {@code {0}
     * [windows-agents] Connecting to {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Connecting to {1}}
     */
    public static String ManagedWindowsServiceLauncher_ConnectingTo(Object arg0, Object arg1) {
        return holder.format("ManagedWindowsServiceLauncher.ConnectingTo", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ConnectingTo}: {@code {0}
     * [windows-agents] Connecting to {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Connecting to {1}}
     */
    public static Localizable _ManagedWindowsServiceLauncher_ConnectingTo(Object arg0, Object arg1) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.ConnectingTo", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.UnregisteringService}: {@code
     * {0} [windows-agents] Unregistering the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Unregistering the service}
     */
    public static String ManagedWindowsServiceLauncher_UnregisteringService(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.UnregisteringService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.UnregisteringService}: {@code
     * {0} [windows-agents] Unregistering the service}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Unregistering the service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_UnregisteringService(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.UnregisteringService", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentExe}: {@code {0}
     * [windows-agents] Copying jenkins-agent.exe}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying jenkins-agent.exe}
     */
    public static String ManagedWindowsServiceLauncher_CopyingAgentExe(Object arg0) {
        return holder.format("ManagedWindowsServiceLauncher.CopyingAgentExe", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.CopyingAgentExe}: {@code {0}
     * [windows-agents] Copying jenkins-agent.exe}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Copying jenkins-agent.exe}
     */
    public static Localizable _ManagedWindowsServiceLauncher_CopyingAgentExe(Object arg0) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.CopyingAgentExe", arg0);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.DisplayName}: {@code Let
     * Jenkins control this Windows agent as a Windows service}.
     * 
     * @return
     *     {@code Let Jenkins control this Windows agent as a Windows service}
     */
    public static String ManagedWindowsServiceLauncher_DisplayName() {
        return holder.format("ManagedWindowsServiceLauncher.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.DisplayName}: {@code Let
     * Jenkins control this Windows agent as a Windows service}.
     * 
     * @return
     *     {@code Let Jenkins control this Windows agent as a Windows service}
     */
    public static Localizable _ManagedWindowsServiceLauncher_DisplayName() {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ConnectingToPort}: {@code {0}
     * [windows-agents] Connecting to port {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Connecting to port {1}}
     */
    public static String ManagedWindowsServiceLauncher_ConnectingToPort(Object arg0, Object arg1) {
        return holder.format("ManagedWindowsServiceLauncher.ConnectingToPort", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceLauncher.ConnectingToPort}: {@code {0}
     * [windows-agents] Connecting to port {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} [windows-agents] Connecting to port {1}}
     */
    public static Localizable _ManagedWindowsServiceLauncher_ConnectingToPort(Object arg0, Object arg1) {
        return new Localizable(holder, "ManagedWindowsServiceLauncher.ConnectingToPort", arg0, arg1);
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.LocalSystem.DisplayName}:
     * {@code Use Local System User}.
     * 
     * @return
     *     {@code Use Local System User}
     */
    public static String ManagedWindowsServiceAccount_LocalSystem_DisplayName() {
        return holder.format("ManagedWindowsServiceAccount.LocalSystem.DisplayName");
    }

    /**
     * Key {@code ManagedWindowsServiceAccount.LocalSystem.DisplayName}:
     * {@code Use Local System User}.
     * 
     * @return
     *     {@code Use Local System User}
     */
    public static Localizable _ManagedWindowsServiceAccount_LocalSystem_DisplayName() {
        return new Localizable(holder, "ManagedWindowsServiceAccount.LocalSystem.DisplayName");
    }

}
